local L = LibStub("AceLocale-3.0"):NewLocale("Battleground", "deDE")
if not L then return end

if L then
-- Alterac Valley
L["Iceblood Tower"] = "Eisblutturm"
L["Iceblood Graveyard"] = "Eisblutfriedhof"
L["Tower Point"] = "Turmstellung"
L["Frostwolf Graveyard"] = "Friedhof der Frostwölfe"
L["East Frostwolf Tower"] = "Östlicher Frostwolfturm"
L["West Frostwolf Tower"] = "Westlicher Frostwolfturm"
L["Frostwolf Relief Hut"] = "Heilerhütte der Frostwölfe"
L["Coldtooth Mine"] = "Eisbeißermine"
L["Stonehearth Bunker"] = "Steinbruchbunker"
L["Stonehearth Graveyard"] = "Steinbruchfriedhof"
L["Icewing Bunker"] = "Eisschwingenbunker"
L["Stormpike Graveyard"] = "Friedhof der Sturmlanzen"
L["Dun Baldar North Bunker"] = "Nordbunker von Dun Baldar"
L["Dun Baldar South Bunker"] = "Südbunker von Dun Baldar"
L["Stormpike Aid Station"] = "Lazarett der Sturmlanzen"
L["Irondeep Mine"] = "Eisenschachtmine"
L["Snowfall Graveyard"] = "Schneewehenfriedhof"

L["Battleground Start"] = "Schlachtfeld beginnt"
L["Battleground Elapsed"] = "Schlachtfeld dauert"

L["The %s has engaged %s."] = "Die %s hat %s angegriffen."
L["The %s has reset %s."] = "Die %s hat %s zurückgesetzt."
L["The %s has defeated %s."] = "Die %s hat %s besiegt."

L["Captain Balinda Stonehearth"] = "Hauptmann Balinda Steinbruch"
L["Begone, uncouth scum!  The Alliance shall prevail in Alterac Valley!"] = "Verschwinde, dreckiger Abschaum! Die Allianz wird im Alteractal siegen!"
L["Filthy Frostwolf cowards! If you want a fight, you'll have to come to me!"] = "Dreckige feige Frostwölfe! Wenn ihr einen Kampf wollt, müsst ihr schon zu mir kommen!"

L["Captain Galvangar"] = "Hauptmann Galvangar"
L["Die!  Your kind has no place in Alterac Valley!"] = "Sterbt! Für Eure Art ist kein Platz im Alteractal!"
L["I'll never fall for that, fool! If you want a battle it will be on my terms and in my lair."] = "^Ich werde niemals fallen, Dummkopf!" --check

L["Vanndar Stormpike"] = "Vanndar Sturmlanze"
L["Soldiers of Stormpike, your General is under attack! I require aid! Come! Come! Slay these mangy Frostwolf dogs."] = "Soldaten des Sturmlanzenklans, euer General wird angegriffen! Ich fordere Unterstützung! Kommt! Kommt! Löscht diese räudigen Hunde der Frostwölfe aus."
L["You'll never get me out of me bunker, heathens!"] = "Ihr werdet mich niemals aus meinem Bunker vertreiben, Ihr Ungläubigen!"

L["Drek'Thar"] = "Drek'Thar"
L["Stormpike filth! In my keep?! Slay them all!"] = "Sturmlanzenabschaum! In meiner Burg?! Tötet sie alle!"
L["You seek to draw the General of the Frostwolf legion out from his fortress? PREPOSTEROUS!"] = "Ihr versucht, den General der Frostwolfarmee aus seiner Burg zu locken? WIE LÄCHERLICH!"

L["Herald"] = "Herold"
L["The Frostwolf General is dead!"] = "Der General der Frostwölfe ist tot!"
L["The Stormpike General is dead!"] = "Der General der Allianz ist tot!"

-- Arathi Basin

L["Farm"] = "Hof"
L["Stables"] = "Ställe"
L["Blacksmith"] = "Schmiede"
L["Gold Mine"] = "Goldmine"
L["Lumber Mill"] = "Sägewerk"

L["Bases: ([0-9]+)  Resources: ([0-9]+)/([0-9]+)"] = "Basen: ([0-9]+)  Ressourcen: ([0-9]+)/([0-9]+)"

-- generic for arathi and eots
L["Bases to win: %d"] = "Basen zum Sieg: %d"
L["Final Score: %d/%d"] = "Endstand: %d/%d"


-- Eye of the Storm

L["Bases: ([0-9]+)  Victory Points: ([0-9]+)/([0-9]+)"] = "Basen: ([0-9]+)  Siegpunkte: ([0-9]+)/([0-9]+)"
L["Mage Tower"] = "Magierturm"
L["Draenei Ruins"] = "Draeneiruinen"
L["Fel Reaver Ruins"] = "Teufelshäscherruinen"
L["Blood Elf Tower"] = "Blutelfenturm"

-- Isle of Conquest

L["Docks"] = "Docks"
L["Hangar"] = "Hangar"
L["Quarry"] = "Steinbruch"
L["Refinery"] = "Raffinerie"
L["Workshop"] = "Werkstatt"
L["Horde Keep"] = "Hordenfestung"
L["Alliance Keep"] = "Allianzfestung"
L["Siege Engine"] = true

L["Gnomish Mechanic"] = true
L["See those seaforium bombs? Use them on the gates while I repair the siege engine!"] = true
L["I'm halfway there! Keep the Horde away from here.  They don't teach fighting in engineering school!"] = true
L["My finest work so far! This siege engine is ready for action!"] = true

L["Goblin Mechanic"] = true
L["I'll work on the siege engine, just watch my back.  Use those seaforium bombs on the gates if you need them!"] = true
L["I'm about halfway done! Keep the Alliance away - fighting's not in my contract!"] = true
L["The siege engine is ready to roll!"] = true

L["High Commander Halford Wyrmbane"] = true
L["Overlord Agmar"] = true
L["The gates have been breached! Defend the keep!"] = true
L["The %s has breached the %s Keep!"] = true

L["The %s has finished a siege engine."] = true
L["The %s has started building a siege engine."] = true
L["The %s is halfway building a siege engine."] = true

L["Horde Gate"] = "Hordentor"
L["Alliance Gate"] = "Allianztor"
L["Front Gate"] = "Vorderes Tor"
L["West Gate"] = "Westliches Tor"
L["East Gate"] = "Östliches Tor"
end
